librelist archives

« back to archive

Wand can't find ImageMagick

Wand can't find ImageMagick

From:
Jeremy Sullivan
Date:
2014-04-10 @ 22:38
Hi all,

I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find image
magick. I get this stack trace when I try to import wand:

>>> from wand.api import libc
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
ImportError: MagickWand shared library not found.
You probably had not installed ImageMagick library.
Try to install:
  yum install ImageMagick-devel

But I've already installed ImageMagick-devel:

Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed and
latest version
Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and
latest version
Nothing to do

Do I need a later version of ImageMagick? Or do I need to point wand in the
right direction somehow?

Thank you,
Jeremy

-- 
Jeremy Sullivan
8z Real Estate
Technical Operations/Support

Re: [wand] Wand can't find ImageMagick

From:
Hong Minhee
Date:
2014-04-11 @ 01:44
Hi Jeremy,

Where is libmagick on your system?
On Apr 11, 2014 7:39 AM, "Jeremy Sullivan" <jeremy.sullivan@8z.com> wrote:

> Hi all,
>
> I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find image
> magick. I get this stack trace when I try to import wand:
>
> >>> from wand.api import libc
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
> ImportError: MagickWand shared library not found.
> You probably had not installed ImageMagick library.
> Try to install:
>   yum install ImageMagick-devel
>
> But I've already installed ImageMagick-devel:
>
> Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed and
> latest version
> Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and
> latest version
> Nothing to do
>
> Do I need a later version of ImageMagick? Or do I need to point wand in
> the right direction somehow?
>
> Thank you,
> Jeremy
>
> --
> Jeremy Sullivan
> 8z Real Estate
> Technical Operations/Support
>

Re: [wand] Wand can't find ImageMagick

From:
Jeremy Sullivan
Date:
2014-04-11 @ 14:03
Hi Hong,

I have:
/usr/lib/libMagick.so
/usr/lib/libMagick.so.10
/usr/lib/libMagick.so.10.0.3
/usr/lib64/libMagick.so
/usr/lib64/libMagick.so.10
/usr/lib64/libMagick.so.10.0.3



On Thu, Apr 10, 2014 at 7:44 PM, Hong Minhee <minhee@dahlia.kr> wrote:

> Hi Jeremy,
>
> Where is libmagick on your system?
> On Apr 11, 2014 7:39 AM, "Jeremy Sullivan" <jeremy.sullivan@8z.com> wrote:
>
>> Hi all,
>>
>> I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find
>> image magick. I get this stack trace when I try to import wand:
>>
>> >>> from wand.api import libc
>> Traceback (most recent call last):
>>   File "<stdin>", line 1, in <module>
>>   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
>> ImportError: MagickWand shared library not found.
>> You probably had not installed ImageMagick library.
>> Try to install:
>>   yum install ImageMagick-devel
>>
>> But I've already installed ImageMagick-devel:
>>
>> Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed and
>> latest version
>> Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and
>> latest version
>> Nothing to do
>>
>> Do I need a later version of ImageMagick? Or do I need to point wand in
>> the right direction somehow?
>>
>> Thank you,
>> Jeremy
>>
>> --
>> Jeremy Sullivan
>> 8z Real Estate
>> Technical Operations/Support
>>
>


-- 
Jeremy Sullivan
8z Real Estate
Technical Operations/Support

Re: [wand] Wand can't find ImageMagick

From:
Hong Minhee
Date:
2014-04-11 @ 14:11
Try importing it with MAGICK_HOME=/usr environment variable.

On Apr 11, 2014, at 11:03 PM, Jeremy Sullivan <jeremy.sullivan@8z.com> wrote:

> Hi Hong,
> 
> I have:
> /usr/lib/libMagick.so
> /usr/lib/libMagick.so.10
> /usr/lib/libMagick.so.10.0.3
> /usr/lib64/libMagick.so
> /usr/lib64/libMagick.so.10
> /usr/lib64/libMagick.so.10.0.3
> 
> 
> 
> On Thu, Apr 10, 2014 at 7:44 PM, Hong Minhee <minhee@dahlia.kr> wrote:
> Hi Jeremy,
> 
> Where is libmagick on your system?
> 
> On Apr 11, 2014 7:39 AM, "Jeremy Sullivan" <jeremy.sullivan@8z.com> wrote:
> Hi all,
> 
> I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find 
image magick. I get this stack trace when I try to import wand:
> 
> >>> from wand.api import libc
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
> ImportError: MagickWand shared library not found.
> You probably had not installed ImageMagick library.
> Try to install:
>   yum install ImageMagick-devel
> 
> But I've already installed ImageMagick-devel:
> 
> Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed and 
latest version
> Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and 
latest version
> Nothing to do
> 
> Do I need a later version of ImageMagick? Or do I need to point wand in 
the right direction somehow?
> 
> Thank you,
> Jeremy
> 
> -- 
> Jeremy Sullivan
> 8z Real Estate
> Technical Operations/Support
> 
> 
> 
> -- 
> Jeremy Sullivan
> 8z Real Estate
> Technical Operations/Support

Re: [wand] Wand can't find ImageMagick

From:
Jeremy Sullivan
Date:
2014-04-11 @ 14:27
Hmm, that didn't seem to work

export MAGICK_HOME=/usr
$ /usr/local/bin/python2.7
Python 2.7.5 (default, Jan 15 2014, 09:57:31)
[GCC 4.1.2 20080704 (Red Hat 4.1.2-54)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from wand.api import libc
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
ImportError: MagickWand shared library not found.
You probably had not installed ImageMagick library.
Try to install:
  yum install ImageMagick-devel



On Fri, Apr 11, 2014 at 8:11 AM, Hong Minhee <minhee@dahlia.kr> wrote:

> Try importing it with MAGICK_HOME=/usr environment variable.
>
> On Apr 11, 2014, at 11:03 PM, Jeremy Sullivan <jeremy.sullivan@8z.com>
> wrote:
>
> > Hi Hong,
> >
> > I have:
> > /usr/lib/libMagick.so
> > /usr/lib/libMagick.so.10
> > /usr/lib/libMagick.so.10.0.3
> > /usr/lib64/libMagick.so
> > /usr/lib64/libMagick.so.10
> > /usr/lib64/libMagick.so.10.0.3
> >
> >
> >
> > On Thu, Apr 10, 2014 at 7:44 PM, Hong Minhee <minhee@dahlia.kr> wrote:
> > Hi Jeremy,
> >
> > Where is libmagick on your system?
> >
> > On Apr 11, 2014 7:39 AM, "Jeremy Sullivan" <jeremy.sullivan@8z.com>
> wrote:
> > Hi all,
> >
> > I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find
> image magick. I get this stack trace when I try to import wand:
> >
> > >>> from wand.api import libc
> > Traceback (most recent call last):
> >   File "<stdin>", line 1, in <module>
> >   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
> > ImportError: MagickWand shared library not found.
> > You probably had not installed ImageMagick library.
> > Try to install:
> >   yum install ImageMagick-devel
> >
> > But I've already installed ImageMagick-devel:
> >
> > Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed and
> latest version
> > Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and
> latest version
> > Nothing to do
> >
> > Do I need a later version of ImageMagick? Or do I need to point wand in
> the right direction somehow?
> >
> > Thank you,
> > Jeremy
> >
> > --
> > Jeremy Sullivan
> > 8z Real Estate
> > Technical Operations/Support
> >
> >
> >
> > --
> > Jeremy Sullivan
> > 8z Real Estate
> > Technical Operations/Support
>
>


-- 
Jeremy Sullivan
8z Real Estate
Technical Operations/Support

Re: [wand] Wand can't find ImageMagick

From:
Hong Minhee
Date:
2014-04-11 @ 14:30
By any chance do you use Python built by yourself instead of Python
installed using yum?
On Apr 11, 2014 11:27 PM, "Jeremy Sullivan" <jeremy.sullivan@8z.com> wrote:

> Hmm, that didn't seem to work
>
> export MAGICK_HOME=/usr
> $ /usr/local/bin/python2.7
> Python 2.7.5 (default, Jan 15 2014, 09:57:31)
> [GCC 4.1.2 20080704 (Red Hat 4.1.2-54)] on linux2
> Type "help", "copyright", "credits" or "license" for more information.
> >>> from wand.api import libc
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
> ImportError: MagickWand shared library not found.
> You probably had not installed ImageMagick library.
> Try to install:
>   yum install ImageMagick-devel
>
>
>
> On Fri, Apr 11, 2014 at 8:11 AM, Hong Minhee <minhee@dahlia.kr> wrote:
>
>> Try importing it with MAGICK_HOME=/usr environment variable.
>>
>> On Apr 11, 2014, at 11:03 PM, Jeremy Sullivan <jeremy.sullivan@8z.com>
>> wrote:
>>
>> > Hi Hong,
>> >
>> > I have:
>> > /usr/lib/libMagick.so
>> > /usr/lib/libMagick.so.10
>> > /usr/lib/libMagick.so.10.0.3
>> > /usr/lib64/libMagick.so
>> > /usr/lib64/libMagick.so.10
>> > /usr/lib64/libMagick.so.10.0.3
>> >
>> >
>> >
>> > On Thu, Apr 10, 2014 at 7:44 PM, Hong Minhee <minhee@dahlia.kr> wrote:
>> > Hi Jeremy,
>> >
>> > Where is libmagick on your system?
>> >
>> > On Apr 11, 2014 7:39 AM, "Jeremy Sullivan" <jeremy.sullivan@8z.com>
>> wrote:
>> > Hi all,
>> >
>> > I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find
>> image magick. I get this stack trace when I try to import wand:
>> >
>> > >>> from wand.api import libc
>> > Traceback (most recent call last):
>> >   File "<stdin>", line 1, in <module>
>> >   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
>> > ImportError: MagickWand shared library not found.
>> > You probably had not installed ImageMagick library.
>> > Try to install:
>> >   yum install ImageMagick-devel
>> >
>> > But I've already installed ImageMagick-devel:
>> >
>> > Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed and
>> latest version
>> > Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and
>> latest version
>> > Nothing to do
>> >
>> > Do I need a later version of ImageMagick? Or do I need to point wand in
>> the right direction somehow?
>> >
>> > Thank you,
>> > Jeremy
>> >
>> > --
>> > Jeremy Sullivan
>> > 8z Real Estate
>> > Technical Operations/Support
>> >
>> >
>> >
>> > --
>> > Jeremy Sullivan
>> > 8z Real Estate
>> > Technical Operations/Support
>>
>>
>
>
> --
> Jeremy Sullivan
> 8z Real Estate
> Technical Operations/Support
>

Re: [wand] Wand can't find ImageMagick

From:
Jeremy Sullivan
Date:
2014-04-11 @ 14:34
Yes, I built that python install from source.


On Fri, Apr 11, 2014 at 8:30 AM, Hong Minhee <minhee@dahlia.kr> wrote:

> By any chance do you use Python built by yourself instead of Python
> installed using yum?
> On Apr 11, 2014 11:27 PM, "Jeremy Sullivan" <jeremy.sullivan@8z.com>
> wrote:
>
>> Hmm, that didn't seem to work
>>
>> export MAGICK_HOME=/usr
>> $ /usr/local/bin/python2.7
>> Python 2.7.5 (default, Jan 15 2014, 09:57:31)
>> [GCC 4.1.2 20080704 (Red Hat 4.1.2-54)] on linux2
>> Type "help", "copyright", "credits" or "license" for more information.
>> >>> from wand.api import libc
>> Traceback (most recent call last):
>>   File "<stdin>", line 1, in <module>
>>   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
>> ImportError: MagickWand shared library not found.
>> You probably had not installed ImageMagick library.
>> Try to install:
>>   yum install ImageMagick-devel
>>
>>
>>
>> On Fri, Apr 11, 2014 at 8:11 AM, Hong Minhee <minhee@dahlia.kr> wrote:
>>
>>> Try importing it with MAGICK_HOME=/usr environment variable.
>>>
>>> On Apr 11, 2014, at 11:03 PM, Jeremy Sullivan <jeremy.sullivan@8z.com>
>>> wrote:
>>>
>>> > Hi Hong,
>>> >
>>> > I have:
>>> > /usr/lib/libMagick.so
>>> > /usr/lib/libMagick.so.10
>>> > /usr/lib/libMagick.so.10.0.3
>>> > /usr/lib64/libMagick.so
>>> > /usr/lib64/libMagick.so.10
>>> > /usr/lib64/libMagick.so.10.0.3
>>> >
>>> >
>>> >
>>> > On Thu, Apr 10, 2014 at 7:44 PM, Hong Minhee <minhee@dahlia.kr> wrote:
>>> > Hi Jeremy,
>>> >
>>> > Where is libmagick on your system?
>>> >
>>> > On Apr 11, 2014 7:39 AM, "Jeremy Sullivan" <jeremy.sullivan@8z.com>
>>> wrote:
>>> > Hi all,
>>> >
>>> > I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find
>>> image magick. I get this stack trace when I try to import wand:
>>> >
>>> > >>> from wand.api import libc
>>> > Traceback (most recent call last):
>>> >   File "<stdin>", line 1, in <module>
>>> >   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in
>>> <module>
>>> > ImportError: MagickWand shared library not found.
>>> > You probably had not installed ImageMagick library.
>>> > Try to install:
>>> >   yum install ImageMagick-devel
>>> >
>>> > But I've already installed ImageMagick-devel:
>>> >
>>> > Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed
>>> and latest version
>>> > Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and
>>> latest version
>>> > Nothing to do
>>> >
>>> > Do I need a later version of ImageMagick? Or do I need to point wand
>>> in the right direction somehow?
>>> >
>>> > Thank you,
>>> > Jeremy
>>> >
>>> > --
>>> > Jeremy Sullivan
>>> > 8z Real Estate
>>> > Technical Operations/Support
>>> >
>>> >
>>> >
>>> > --
>>> > Jeremy Sullivan
>>> > 8z Real Estate
>>> > Technical Operations/Support
>>>
>>>
>>
>>
>> --
>> Jeremy Sullivan
>> 8z Real Estate
>> Technical Operations/Support
>>
>


-- 
Jeremy Sullivan
8z Real Estate
Technical Operations/Support

Re: [wand] Wand can't find ImageMagick

From:
Hong Minhee
Date:
2014-04-11 @ 14:40
It seems filenames you showed are not ImageMagick libraries.  These should
be libMagickWand.
On Apr 11, 2014 11:04 PM, "Jeremy Sullivan" <jeremy.sullivan@8z.com> wrote:

> Hi Hong,
>
> I have:
> /usr/lib/libMagick.so
> /usr/lib/libMagick.so.10
> /usr/lib/libMagick.so.10.0.3
> /usr/lib64/libMagick.so
> /usr/lib64/libMagick.so.10
> /usr/lib64/libMagick.so.10.0.3
>
>
>
> On Thu, Apr 10, 2014 at 7:44 PM, Hong Minhee <minhee@dahlia.kr> wrote:
>
>> Hi Jeremy,
>>
>> Where is libmagick on your system?
>> On Apr 11, 2014 7:39 AM, "Jeremy Sullivan" <jeremy.sullivan@8z.com>
>> wrote:
>>
>>> Hi all,
>>>
>>> I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find
>>> image magick. I get this stack trace when I try to import wand:
>>>
>>> >>> from wand.api import libc
>>> Traceback (most recent call last):
>>>   File "<stdin>", line 1, in <module>
>>>   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
>>> ImportError: MagickWand shared library not found.
>>> You probably had not installed ImageMagick library.
>>> Try to install:
>>>   yum install ImageMagick-devel
>>>
>>> But I've already installed ImageMagick-devel:
>>>
>>> Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed and
>>> latest version
>>> Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and
>>> latest version
>>> Nothing to do
>>>
>>> Do I need a later version of ImageMagick? Or do I need to point wand in
>>> the right direction somehow?
>>>
>>> Thank you,
>>> Jeremy
>>>
>>> --
>>> Jeremy Sullivan
>>> 8z Real Estate
>>> Technical Operations/Support
>>>
>>
>
>
> --
> Jeremy Sullivan
> 8z Real Estate
> Technical Operations/Support
>

Re: [wand] Wand can't find ImageMagick

From:
Wei Zhang
Date:
2014-04-11 @ 14:42
Hi

If you look in to the file in api.py in wand library, you should find out 
what path it is exactly checking, I have been reading through the wand 
source code, it isn’t that difficult.

Regards
 

On 11 Apr 2014, at 15:40, Hong Minhee <minhee@dahlia.kr> wrote:

> It seems filenames you showed are not ImageMagick libraries.  These 
should be libMagickWand.
> 
> On Apr 11, 2014 11:04 PM, "Jeremy Sullivan" <jeremy.sullivan@8z.com> wrote:
> Hi Hong,
> 
> I have:
> /usr/lib/libMagick.so
> /usr/lib/libMagick.so.10
> /usr/lib/libMagick.so.10.0.3
> /usr/lib64/libMagick.so
> /usr/lib64/libMagick.so.10
> /usr/lib64/libMagick.so.10.0.3
> 
> 
> 
> On Thu, Apr 10, 2014 at 7:44 PM, Hong Minhee <minhee@dahlia.kr> wrote:
> Hi Jeremy,
> 
> Where is libmagick on your system?
> 
> On Apr 11, 2014 7:39 AM, "Jeremy Sullivan" <jeremy.sullivan@8z.com> wrote:
> Hi all,
> 
> I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find 
image magick. I get this stack trace when I try to import wand:
> 
> >>> from wand.api import libc
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
> ImportError: MagickWand shared library not found.
> You probably had not installed ImageMagick library.
> Try to install:
>   yum install ImageMagick-devel
> 
> But I've already installed ImageMagick-devel:
> 
> Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed and 
latest version
> Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and 
latest version
> Nothing to do
> 
> Do I need a later version of ImageMagick? Or do I need to point wand in 
the right direction somehow?
> 
> Thank you,
> Jeremy
> 
> -- 
> Jeremy Sullivan
> 8z Real Estate
> Technical Operations/Support
> 
> 
> 
> -- 
> Jeremy Sullivan
> 8z Real Estate
> Technical Operations/Support

Re: [wand] Wand can't find ImageMagick

From:
Jeremy Sullivan
Date:
2014-04-11 @ 16:46
Aha,

The version in the yum repositories does not have libMagickWand, building
from source puts libMagickWand in /usr/local/lib. So MAGICK_HOME=/usr/local
works out great. Thanks for pointing out that environment var, Hong.


On Fri, Apr 11, 2014 at 8:42 AM, Wei Zhang <sagamail@gmail.com> wrote:

> Hi
>
> If you look in to the file in api.py in wand library, you should find out
> what path it is exactly checking, I have been reading through the wand
> source code, it isn't that difficult.
>
> Regards
>
>
> On 11 Apr 2014, at 15:40, Hong Minhee <minhee@dahlia.kr> wrote:
>
> It seems filenames you showed are not ImageMagick libraries.  These should
> be libMagickWand.
> On Apr 11, 2014 11:04 PM, "Jeremy Sullivan" <jeremy.sullivan@8z.com>
> wrote:
>
>> Hi Hong,
>>
>> I have:
>> /usr/lib/libMagick.so
>> /usr/lib/libMagick.so.10
>> /usr/lib/libMagick.so.10.0.3
>> /usr/lib64/libMagick.so
>> /usr/lib64/libMagick.so.10
>> /usr/lib64/libMagick.so.10.0.3
>>
>>
>>
>> On Thu, Apr 10, 2014 at 7:44 PM, Hong Minhee <minhee@dahlia.kr> wrote:
>>
>>> Hi Jeremy,
>>>
>>> Where is libmagick on your system?
>>> On Apr 11, 2014 7:39 AM, "Jeremy Sullivan" <jeremy.sullivan@8z.com>
>>> wrote:
>>>
>>>> Hi all,
>>>>
>>>> I'm running CentOS 5.4, and python 2.7.5 and wand can't seem to find
>>>> image magick. I get this stack trace when I try to import wand:
>>>>
>>>> >>> from wand.api import libc
>>>> Traceback (most recent call last):
>>>>   File "<stdin>", line 1, in <module>
>>>>   File "build/bdist.linux-x86_64/egg/wand/api.py", line 161, in <module>
>>>> ImportError: MagickWand shared library not found.
>>>> You probably had not installed ImageMagick library.
>>>> Try to install:
>>>>   yum install ImageMagick-devel
>>>>
>>>> But I've already installed ImageMagick-devel:
>>>>
>>>> Package ImageMagick-devel-6.2.8.0-15.el5_8.x86_64 already installed and
>>>> latest version
>>>> Package ImageMagick-devel-6.2.8.0-15.el5_8.i386 already installed and
>>>> latest version
>>>> Nothing to do
>>>>
>>>> Do I need a later version of ImageMagick? Or do I need to point wand in
>>>> the right direction somehow?
>>>>
>>>> Thank you,
>>>> Jeremy
>>>>
>>>> --
>>>> Jeremy Sullivan
>>>> 8z Real Estate
>>>> Technical Operations/Support
>>>>
>>>
>>
>>
>> --
>> Jeremy Sullivan
>> 8z Real Estate
>> Technical Operations/Support
>>
>
>


-- 
Jeremy Sullivan
8z Real Estate
Technical Operations/Support